GNU bug report logs - #55596
Guix/Guile segfaults on `guix import texlive`

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jack Hill <jackhill@HIDDEN>; merged with #55587; dated Mon, 23 May 2022 18:30:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 15 Jun 2022 20:39:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 16:39:57 2022
Received: from localhost ([127.0.0.1]:39992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1Znn-0000rt-3r
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 16:39:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1o1ZnY-0000rF-Uz; Wed, 15 Jun 2022 16:39:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o1ZnQ-0000gG-P2; Wed, 15 Jun 2022 16:39:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=y8nyMoH3ppVz8fEMvTZvkpVWPo8R4LDL0VsD81+M+iQ=; b=DpXUTZv98+A13qE9kVTo
 4jZ4AKvWyuTMn6jlzUQD0l8jSekIWAx7QBqjWQNQvFeLCxEbWkporJZEN8H6fhJXq6RYQ73c9mKfl
 /a2ytSmLTX22slfAhXMINLld/ltB4ru5kxhwkbVecgALjkIKzTBHUuGRsCXrzmUjJLQib12IDYDuH
 1qSLTj6QUrOEwLMztLJeI66MzxiW1xC1SnusT+wCQ81qcYuI0xMWxrkYID5qUdJXYpHtm1LdKdbfa
 qN63TjJi+yUTt2I9EgKGrVgVEtBOZ3OGpOhxGJEywZ45Qmtjl+LOD8MJnHl7JJ8w7aIi/JjQxfM+D
 ln3yZNTlCNCqVw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:61745
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o1ZnQ-0006UI-Bh; Wed, 15 Jun 2022 16:39:24 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN> <87y1ylwkm8@nckx>
Date: Wed, 15 Jun 2022 22:39:21 +0200
In-Reply-To: <87y1ylwkm8@nckx> (Tobias Geerinckx-Rice's message of "Sat, 28
 May 2022 20:51:53 +0200")
Message-ID: <87sfo5psp2.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, jackhill@HIDDEN, 55587 <at> debbugs.gnu.org,
 hugonobrega@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> I think you might be barking up the wrong tree (or, likely, that there
> are multiple trees here).  I could reproduce the segfault on Guix
> System and encouraged Jack to file this bug.
>
> It's not foreign-distro-related.  The process actually segfaulting is
> Guix, not svn, possibly due to a missing svn.

I don=E2=80=99t think so; the error message that was reported is:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal=
 11

It=E2=80=99s a message from =E2=80=98report-invoke-error=E2=80=99 in (guix =
build utils).  It=E2=80=99s
really svn that=E2=80=99s segfaulting.

Should we close and reopen if/when we have more info?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 29 May 2022 10:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 29 06:19:25 2022
Received: from localhost ([127.0.0.1]:39437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvG17-0002E9-51
	for submit <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:25 -0400
Received: from mail-oi1-f173.google.com ([209.85.167.173]:36421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nvG15-0002Dr-E1
 for 55596 <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:23 -0400
Received: by mail-oi1-f173.google.com with SMTP id u140so8375320oie.3
 for <55596 <at> debbugs.gnu.org>; Sun, 29 May 2022 03:19:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=SRILc/C5qTeiJmnpVuFohpB1nOS6xVKKDX/lBYQx5G0/WVXK3MIkBTKyBRnFng4gXA
 1+1HSHL4YRiq25GEZ3R65NAtArwXTJ+XolmL5U3x+/wa1vimVXprsU644/KmLJm3Oj0Z
 h24MWQtq1lvz6F/wfrgDqxuLaILHrPankvs5Nn1tuSbc7MXl0iG3Yd3tMgxP/Gk0NWh9
 y3G38SfQuh6Yuc6YXoKEHi8P/42csGs9IjT9s21c29s+YrHJz2lIKJgdraI6Vt4cM0YE
 lE4gQuYqFouukwB+qPO1M721pm7yo9TW5fEX1hZ1ZIfGB6gdkKJUjizCWdahYqoPHVCC
 lcdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=md0bEiZoHvDWwqK33c8rU/VZN4wkBaC+c+dZ6LhJ/nmixsiWFmL3/Z1ZvMLbNPRMH8
 6ipxYOrXH0nOERH0vmK5C1fJZKRr94RJW4y3+7RgkW+kVsHh23SJI808V2GSsl5DglFN
 lLcs0RFwELWIpyygjGEHhkyurzEPldXG0gMVjb6ezoKk0bZjFVQ63ndaM4NbCVu1dvl9
 gTWpNFCKnWFF7SixlPXCpvia9CFHhHXApXtW0qs6sYcIRyXyo24xAl27qTv4zEzozXIy
 LVqCu7hBBTmXJgcI6BnkyFo6Vyx6+H2nNQy6vHemQce9bE2fH+HpPNDV8siZMC3oA7km
 UEVQ==
X-Gm-Message-State: AOAM532kIygS3aLhU9tiriTlIde5cPwm83EX5L9v3whCjGFiM7cAvJ6j
 L4Ubc1VHwKtJXE+MhOMaaalD2Q==
X-Google-Smtp-Source: ABdhPJx4KdBy60m01s9puYErKFPuLlPwY/LqpqobFX/GreKUPl7tzFBE8uw1g2QqINfX0g7IsLkAlA==
X-Received: by 2002:a05:6808:6d7:b0:325:67ff:a21b with SMTP id
 m23-20020a05680806d700b0032567ffa21bmr7432990oih.105.1653819557907; 
 Sun, 29 May 2022 03:19:17 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::178])
 by smtp.gmail.com with ESMTPSA id
 i25-20020a9d6119000000b0060603221248sm3863722otj.24.2022.05.29.03.19.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 May 2022 03:19:16 -0700 (PDT)
From: Hugo <hugonobrega@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, Ludovic =?utf-8?Q?Court=C3=A8s?=
 <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
In-Reply-To: <87y1ylwkm8@nckx>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN> <87y1ylwkm8@nckx>
Date: Sun, 29 May 2022 07:19:01 -0300
Message-ID: <877d643alm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

> It's not foreign-distro-related.  The process actually segfaulting=20
> is Guix, not svn, possibly due to a missing svn.

Indeed, I think Tobias is on the right track here.
However, I can no longer reproduce the `signal 11` error

To answer Lud=C3=B2, though,

> What did =E2=80=9Ctype -P svn=E2=80=9D return?

Before I installed subversion: nothing. Now it shows the correct path to
svn.

> Perhaps there was an =E2=80=9Csvn=E2=80=9D command coming from the host d=
istro, like
> /usr/bin/svn?

Nope, this is on Guix System.

Best wishes,
Hugo




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 28 May 2022 18:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 14:56:45 2022
Received: from localhost ([127.0.0.1]:38888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nv1cD-0004Xs-3o
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 14:56:45 -0400
Received: from tobias.gr ([80.241.217.52]:42310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1nv1c7-0004Xa-GO; Sat, 28 May 2022 14:56:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=y89XeitIEzMa7
 jkDbv3LhEjC4mjDUrQo0vHfaavHM94=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=EpswbDzyZHqqvljy8VNkMtipxfVT5WVhGaHEnC
 YQG8ZmgY5hmX8Ox4fePePVv31OiUscbxc78c9i9bJcCRK10kh/+U/ReBr99V/FvsCxiIlv
 vN7Y91LnInJesuoa10veBTZuDGNzy3SkT8VuH2Wx7Erxdo5hqDaAx75TAeRgDvqD0RcEjC
 7wk2r7te5wm9GrZtAFfCb8NWDIErP/+UzRGWDrLNh3Kr2pHxj4STCiC2FK8mnMapXqAD7/
 OFo9Q+KtQl8lxiwaDCeDScvrUSKurcrXar/F41/13Q5DzgkmLyRSUz1C/uX05czhr3xGkw
 ny/9cmdyxTHSZA9h0KDH5ogw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 3ae9858e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 28 May 2022 18:56:37 +0000 (UTC)
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
Date: Sat, 28 May 2022 20:51:53 +0200
In-reply-to: <875ylpbmna.fsf_-_@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1ylwkm8@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, Hugo <hugonobrega@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; format=flowed

Hi,

I thought I'd replied to this.

I think you might be barking up the wrong tree (or, likely, that 
there are multiple trees here).  I could reproduce the segfault on 
Guix System and encouraged Jack to file this bug.

It's not foreign-distro-related.  The process actually segfaulting 
is Guix, not svn, possibly due to a missing svn.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYpJwnw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Sy0A/RJB/HnevGbxPyEUgdrSymj1xmn5paN8makZV09x
obWdAP9rElqLGno8//BErXxYIsu15PqmgT4TNkpDILJgDbXhDA==
=iIfO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 28 May 2022 17:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 13:19:34 2022
Received: from localhost ([127.0.0.1]:38837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nv06A-00028K-8z
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 13:19:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1nv067-000281-5t; Sat, 28 May 2022 13:19:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59828)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nv05z-00026I-CU; Sat, 28 May 2022 13:19:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=j8tRLJ6vnbEb5wPMwhTRNGgOl6bxmSMGl+xueMC1cpc=; b=YOqcT1bN7QkSOZLyhfCN
 Z41GlunN9rWDu9t6m0wDwHId/i/Ej93FYT98qnL8qNaS9VUtht3xCtI+MrLkzhN8LDfieiJwJGblb
 Tplu3lTvhoZvc7n8BYfOr4rz3U947/1KXAT4yZ6StUr0KfEbglZuspT66eZ5I7s+LN3EiDtTnJiM+
 2srrY+1s5kroaP6yCLvlNhC2aKEfABbwocMOhbIvm3MUf6ncca9YkqSf/cpgxWVf+8ZFdVJVRkt5O
 DPuwemfnKNZ57mMZTdwDL6de12D23AREeiRjgQDTtgIV/o779YHgidAh6nupH6FwNNyPwixa0V2OR
 Kht7wWxtikKMrg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50372
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nv05z-00019t-0R; Sat, 28 May 2022 13:19:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
Date: Sat, 28 May 2022 19:19:21 +0200
In-Reply-To: <alpine.DEB.2.21.2205260933340.11587@HIDDEN> (Jack
 Hill's message of "Thu, 26 May 2022 09:36:28 -0400 (EDT)")
Message-ID: <875ylpbmna.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org, Hugo <hugonobrega@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Jack Hill <jackhill@HIDDEN> skribis:

> On Wed, 25 May 2022, Hugo wrote:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>>
>>> Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?
>>>
>>> Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as sh=
own above?
>>
>> Well, I feel kind of silly now, after actually installing subversion the
>> command works as expected :)
>
> Same for me, and I feel equally silly :)

You mentioned an error report from Guix:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal=
 11

To me that means that an =E2=80=9Csvn=E2=80=9D command was indeed found in =
$PATH but
that it segfaulted.

What did =E2=80=9Ctype -P svn=E2=80=9D return?  Perhaps there was an =E2=80=
=9Csvn=E2=80=9D command
coming from the host distro, like /usr/bin/svn?

Or am I missing something?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 26 May 2022 13:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 09:36:37 2022
Received: from localhost ([127.0.0.1]:57455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuDfI-0004US-Ps
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 09:36:36 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:32804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>)
 id 1nuDfH-0004UE-7t; Thu, 26 May 2022 09:36:35 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1nuDfB-0003mE-0c; Thu, 26 May 2022 09:36:29 -0400
Date: Thu, 26 May 2022 09:36:28 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Hugo <hugonobrega@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
In-Reply-To: <878rqpxhxy.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="925712948-450059837-1653572189=:11587"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, =?ISO-8859-15?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>,
 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--925712948-450059837-1653572189=:11587
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8BIT

On Wed, 25 May 2022, Hugo wrote:

> Ludovic Courtès <ludo@HIDDEN> writes:
>
>> Jack, Hugo: What does “type -P svn” say?
>>
>> Does the bug occur within ‘guix shell subversion’ as shown above?
>
> Well, I feel kind of silly now, after actually installing subversion the
> command works as expected :)

Same for me, and I feel equally silly :)

> But I suppose the silent failure is still something that could/should be
> improved.

+1 for this. Maybe some day we'll have have guile-svn, but until then an 
error message would be fine.

Best,
Jack
--925712948-450059837-1653572189=:11587--




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 26 May 2022 05:21:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 01:21:41 2022
Received: from localhost ([127.0.0.1]:56873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nu5wI-0005V0-UL
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 01:21:41 -0400
Received: from mail-oa1-f52.google.com ([209.85.160.52]:43567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nu1FS-00050d-OS
 for 55596 <at> debbugs.gnu.org; Wed, 25 May 2022 20:21:08 -0400
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-f2bb84f9edso460628fac.10
 for <55596 <at> debbugs.gnu.org>; Wed, 25 May 2022 17:21:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=JmmuJ+Ix6XhcIVoA5yI3UX43quI8NFzApLbnQtSXP7Y=;
 b=GzTRFxXPWeWdwbpqxbr5rbYgn+vPFpr/bbcBApJYi+IumjiiG9uo8MpgSPBI0aPJuI
 HAEQSg8Slav7mbzTHNJEGak0c4r4mu5TYk0+6oy0ZGvDrcXWdyPl689AXtQMRt01qZW8
 T3ILz5iqw325kV7gTzTeEEurvw44MT5mPXqOQvA1572DbUT8xlNXIAAimiwYgtq6tcbE
 q9O+ibkS0hoByUpEddykNbJqrvIN3PJcE8wB/a4YFd1OiTQwSFBJ3b0VgYJe89WQJmzy
 eE+YSrZ+PjSpInzWrIRlsNqtviCIJbx6e44RjbWygi9akwRwpow+bi1gf/XVulIH0H8s
 hzQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=JmmuJ+Ix6XhcIVoA5yI3UX43quI8NFzApLbnQtSXP7Y=;
 b=SsDH1DtAMv9zKdLZGAiBgaxP+RlRXGxy0n2hc2DkqdPQ2KiSJcp8jC1LKgM3WEF5mD
 N3olu2AB2jmQkdpJuE2PVfuPeiBgXsfSyGMln/VIumLnNac3wY6LENeESGgzexH04iRa
 k39WygVeWvJrm89t4hvTVoHdq+oLc6kxxorZ70wyTt6jKPk4psWlNd53f7llwrxUCsWR
 lNqLCgSinmjDzIBV69Q7zni2kJUocXjyYy+o/dlSZ7CqP4ct2kC9Jc/D3yGV+40Ge9cp
 vX+MNhdxwwvTEF32NrRFRPcGNs27l45SUi2mBmjPRHgOb1HrA+f15oapDOZCaKe/BVRE
 GTJw==
X-Gm-Message-State: AOAM531RccWUhwR/ekhalad/5IrDljiASgXscPnXfoPO2u+PClP/rC7c
 0vP11/35WW8MKHKxaOOqP4oPbg==
X-Google-Smtp-Source: ABdhPJzsktDLfDfxtGJc0YFqGRX8HkXMK3VkBtm4HWOxIrPfTCggOf+wT/uTcZ9hB6ijjSk6Tkf66w==
X-Received: by 2002:a05:6870:40c2:b0:f1:93e2:5b1 with SMTP id
 l2-20020a05687040c200b000f193e205b1mr7472637oal.224.1653524461011; 
 Wed, 25 May 2022 17:21:01 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::4322])
 by smtp.gmail.com with ESMTPSA id
 b41-20020a056870392900b000f2b3930234sm94926oap.28.2022.05.25.17.20.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 May 2022 17:21:00 -0700 (PDT)
From: Hugo <hugonobrega@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
In-Reply-To: <878rqpj3vz.fsf@HIDDEN>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
Date: Wed, 25 May 2022 21:20:57 -0300
Message-ID: <878rqpxhxy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
X-Mailman-Approved-At: Thu, 26 May 2022 01:21:37 -0400
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?
>
> Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as show=
n above?

Well, I feel kind of silly now, after actually installing subversion the
command works as expected :)

But I suppose the silent failure is still something that could/should be
improved.

Thanks,
Hugo




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 25 May 2022 10:36:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 06:36:22 2022
Received: from localhost ([127.0.0.1]:54390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntoNG-0001iU-50
	for submit <at> debbugs.gnu.org; Wed, 25 May 2022 06:36:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1ntoNB-0001iB-EN; Wed, 25 May 2022 06:36:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58622)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntoN4-0001MN-N0; Wed, 25 May 2022 06:36:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9niuO2jLh3bjdtDZkplknrYUHKZ95uCniiT6Zm/4y6A=; b=g/eVu9Zx5c+2a9656P32
 0OEIMj+jzTzKiSM3p7YnwUz4MIDm7DQeAD6d99lMIrbfxAtR6SbSIu5wovGBsL0lMaVYfkRs9cqVa
 DJJ5Neki3j3QPRB2YfCUtXqeCSh1d+5EPl/lfjYizUzsIGd7AqkDLBnJYJUi329qYhPU9OxbFl77H
 1X9FnDRorS8F4ZbH2PKb5dO0vsgYUHj94pvg0unHZxJeVYgCaluloVK8IusxOqphYT1HNPnPQNEfd
 vAH1kEQF0USOUdTo+7eyIoGI4yNRY0TtLYyGYiqZpdTQEZ7CxuiGaxOwaAWskd4O3yM9W5DvvKcPI
 YhbJH5nDSOnWBg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55828
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntoN0-0002oI-Gu; Wed, 25 May 2022 06:36:06 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Hugo Nobrega <hugonobrega@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN>
Date: Wed, 25 May 2022 12:36:00 +0200
In-Reply-To: <87o7zpiaa8.fsf@HIDDEN> (Hugo Nobrega's message of "Sun, 22
 May 2022 17:26:23 -0300")
Message-ID: <878rqpj3vz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Hugo Nobrega <hugonobrega@HIDDEN> skribis:

> hugo@hp-guix ~$ guix import texlive cite
> command "svn" "export" "--non-interactive" "--trust-server-cert" "-r"
> "59745"
> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/late=
x/cite/"
> "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal 11 guix
> import: error: failed to import package 'cite'

Jack Hill <jackhill@HIDDEN> skribis:

> With Guix commit 4ba4cb1d49d70a00f7236f60bd92e5eccef573dd on Linux
> x86-64, I have the following problem trying to import a texlive
> package:
>
> """
> $ guix import texlive qrcode
> command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/qrcode/" "/tmp/guix-directory.6aY7Gk/doc/latex/qrcode/" failed with si=
gnal 11
> guix import: error: failed to import package 'qrcode'
> """
>
> It seems something is unwell with our subversion package?

Works for me on x86_64-linux!

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 215	May 22 2022 23:16:03	(current)
  guix 81f7bb1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 81f7bb1691dc9dc69fc6e584ad8c6e36e495c103
$ guix shell subversion -- guix import texlive qrcode
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode/README
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode/qrcode.pdf
Exported revision 59745.
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode/qrcode.dtx
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode/qrcode.ins
Exported revision 59745.
A    /tmp/guix-directory.rXo6NK/tex/latex/qrcode
A    /tmp/guix-directory.rXo6NK/tex/latex/qrcode/qrcode.sty
Exported revision 59745.
(package
  (inherit
    (simple-texlive-package
      "texlive-qrcode"
      (list "doc/latex/qrcode/" "source/latex/qrcode/" "tex/latex/qrcode/")
      (base32 "197v18lsvb90i07gxvc6mrmn1z63q8v0wvcnbk8dnn3hhabpn16y")))
  (home-page "https://ctan.org/macros/latex/contrib/qrcode")
  (synopsis "Generate QR codes in LaTeX")
  (description
    "The package generates QR (Quick Response) codes in LaTeX, without the =
need for
PSTricks or any other graphical package.")
  (license lppl1.3+))
$ guix shell subversion -- guix import texlive cite
A    /tmp/guix-directory.GpxhKw/doc/latex/cite
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/README
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/chapterbib.ltx
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/chapterbib.pdf
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/cite.ltx
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/cite.pdf
Exported revision 59745.
A    /tmp/guix-directory.GpxhKw/tex/latex/cite
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/chapterbib.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/cite.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/drftcite.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/overcite.sty
Exported revision 59745.
(package
  (inherit
    (simple-texlive-package
      "texlive-cite"
      (list "doc/latex/cite/" "tex/latex/cite/")
      (base32 "0b1amznayxj80dmqbzcysmj7q8aksbyz98k6djsqi0mhwp1cd0fd")
      #:trivial?
      #t))
  (home-page "https://ctan.org/macros/latex/contrib/cite")
  (synopsis "Improved citation handling in LaTeX")
  (description
    "The package supports compressed, sorted lists of numerical citations, =
and also
deals with various punctuation and other issues of representation, including
comprehensive management of break points.  The package is compatible with b=
oth
hyperref and backref.  The package is (unsurprisingly) part of the cite bun=
dle
of the author's citation-related packages.")
  (license (error unknown-license "other-free")))
--8<---------------cut here---------------end--------------->8---

Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?

Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as shown =
above?

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.
Merged 55587 55596. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Guix/Guile segfaults on `guix import texlive`' from 'subversion segfaul on `guix import texlive`' Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55596 <at> debbugs.gnu.org:


Received: (at 55596) by debbugs.gnu.org; 23 May 2022 18:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 14:43:44 2022
Received: from localhost ([127.0.0.1]:50192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntD1s-0005wm-IY
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 14:43:44 -0400
Received: from tobias.gr ([80.241.217.52]:39080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ntD1p-0005wb-29
 for 55596 <at> debbugs.gnu.org; Mon, 23 May 2022 14:43:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/xAEYi5qhveoO
 oucIGwN1wQ8q6I+45X4IzktQKRwkfo=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=WFmTuWHlQHiz32Y2ywzgEBVvhWP8p32I6LFAnK
 gBBTX44nhIt/UuPUNARbQbSjM1tY79Rgs9Mibt/nTSA5SqDV4jknp+VXaT2bPc9jZjOx6A
 Vcgxr2aOhnVk81Xy3YYEMF1P/+IKTgrEFdFBSsfJGFeuh8aSFkEMwL8pctpBqnl5GL0Q43
 ajVhg7q2hy88QM/dvigyup67APtgx2yLyc+uuNrhCzJcfHvWHJLSsVgEbDCLTv0CuTygms
 uhZgBnu9Lp4/6X7yqy04LUTBqJOiDqhjjpEArplgrvcSUReu1TOcGme+S1EaCknDFn8cda
 HCQV1dbyHBwueY/z9LWNNS3Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 9c413a65
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 23 May 2022 18:43:38 +0000 (UTC)
References: <alpine.DEB.2.21.2205231427160.11587@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: bug#55596: subversion segfaul on `guix import texlive`
Date: Mon, 23 May 2022 20:40:55 +0200
In-reply-to: <alpine.DEB.2.21.2205231427160.11587@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87v8tw2ip2@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55596
Cc: 55596 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Jack Hill =E5=86=99=E9=81=93=EF=BC=9A
> """
> $ guix import texlive qrcode
> command "svn" "export" "--non-interactive" "--trust-server-cert"=20
> "-r"
> "59745"
> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/late=
x/qrcode/"
> "/tmp/guix-directory.6aY7Gk/doc/latex/qrcode/" failed with=20
> signal 11
> guix import: error: failed to import package 'qrcode'
> """
>
> It seems something is unwell with our subversion package?

I don't know why I didn't think of this sooner, but I ran that svn=20
command by hand (only replacing the output directory, say=20
/tmp/foo) and=E2=80=A6 it ran fine.

So I checked my dmesg and it's actually Guix that's getting=20
killed:

[146565.315921] guix[1767]: segfault at c0 ip 000076c46ae99e70 sp=20
00007fffcbe9cb30 error 4 cpu 5 in=20
libc-2.33.so[76c46ae57000+141000]
[146565.315937] Code: 56 41 55 41 54 55 48 89 fd 53 48 81 ec f8 04=20
00 00 48 8b 05 ea 1f 15 00 48 89 34 24 89 4c 24 48 64 8b 00 89 84=20
24 80 00 00 00 <8b> 87 c0 00 00 00 85 c0 0f 85 4a 02 00 00 c7 87=20
c0 00 00 00 ff ff

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYovV2Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15HBcBAOMkdSmJc0jS9E6l6cL5RIOUuWpD6kpygorjQhcm
qhNuAQDvO5AX45Hgux64xaul1Dj0yW4iZHSw2zxUcpTd1W40DQ==
=MvTo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2022 18:43:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 14:43:49 2022
Received: from localhost ([127.0.0.1]:50196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntD1w-0005x5-QJ
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 14:43:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:36354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ntD1t-0005wv-LZ
 for submit <at> debbugs.gnu.org; Mon, 23 May 2022 14:43:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46794)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ntD1t-0001lG-8d
 for bug-guix@HIDDEN; Mon, 23 May 2022 14:43:45 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:56742)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ntD1r-00025m-Lf
 for bug-guix@HIDDEN; Mon, 23 May 2022 14:43:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/xAEYi5qhveoO
 oucIGwN1wQ8q6I+45X4IzktQKRwkfo=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=WFmTuWHlQHiz32Y2ywzgEBVvhWP8p32I6LFAnK
 gBBTX44nhIt/UuPUNARbQbSjM1tY79Rgs9Mibt/nTSA5SqDV4jknp+VXaT2bPc9jZjOx6A
 Vcgxr2aOhnVk81Xy3YYEMF1P/+IKTgrEFdFBSsfJGFeuh8aSFkEMwL8pctpBqnl5GL0Q43
 ajVhg7q2hy88QM/dvigyup67APtgx2yLyc+uuNrhCzJcfHvWHJLSsVgEbDCLTv0CuTygms
 uhZgBnu9Lp4/6X7yqy04LUTBqJOiDqhjjpEArplgrvcSUReu1TOcGme+S1EaCknDFn8cda
 HCQV1dbyHBwueY/z9LWNNS3Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 9c413a65
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 23 May 2022 18:43:38 +0000 (UTC)
References: <alpine.DEB.2.21.2205231427160.11587@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: bug#55596: subversion segfaul on `guix import texlive`
Date: Mon, 23 May 2022 20:40:55 +0200
In-reply-to: <alpine.DEB.2.21.2205231427160.11587@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87v8tw2ip2@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 55596 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Jack Hill =E5=86=99=E9=81=93=EF=BC=9A
> """
> $ guix import texlive qrcode
> command "svn" "export" "--non-interactive" "--trust-server-cert"=20
> "-r"
> "59745"
> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/late=
x/qrcode/"
> "/tmp/guix-directory.6aY7Gk/doc/latex/qrcode/" failed with=20
> signal 11
> guix import: error: failed to import package 'qrcode'
> """
>
> It seems something is unwell with our subversion package?

I don't know why I didn't think of this sooner, but I ran that svn=20
command by hand (only replacing the output directory, say=20
/tmp/foo) and=E2=80=A6 it ran fine.

So I checked my dmesg and it's actually Guix that's getting=20
killed:

[146565.315921] guix[1767]: segfault at c0 ip 000076c46ae99e70 sp=20
00007fffcbe9cb30 error 4 cpu 5 in=20
libc-2.33.so[76c46ae57000+141000]
[146565.315937] Code: 56 41 55 41 54 55 48 89 fd 53 48 81 ec f8 04=20
00 00 48 8b 05 ea 1f 15 00 48 89 34 24 89 4c 24 48 64 8b 00 89 84=20
24 80 00 00 00 <8b> 87 c0 00 00 00 85 c0 0f 85 4a 02 00 00 c7 87=20
c0 00 00 00 ff ff

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYovV2Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15HBcBAOMkdSmJc0jS9E6l6cL5RIOUuWpD6kpygorjQhcm
qhNuAQDvO5AX45Hgux64xaul1Dj0yW4iZHSw2zxUcpTd1W40DQ==
=MvTo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2022 18:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 14:29:28 2022
Received: from localhost ([127.0.0.1]:50185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntCo4-0005Zv-AO
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 14:29:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:60042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1ntCo0-0005Zl-DA
 for submit <at> debbugs.gnu.org; Mon, 23 May 2022 14:29:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44318)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1ntCo0-0006M5-7u
 for bug-guix@HIDDEN; Mon, 23 May 2022 14:29:24 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:54158)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1ntCny-0008Pm-Mh
 for bug-guix@HIDDEN; Mon, 23 May 2022 14:29:23 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1ntCnx-0006zJ-Qf
 for bug-guix@HIDDEN; Mon, 23 May 2022 14:29:21 -0400
Date: Mon, 23 May 2022 14:29:21 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: bug-guix@HIDDEN
Subject: subversion segfaul on `guix import texlive`
Message-ID: <alpine.DEB.2.21.2205231427160.11587@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
Received-SPF: pass client-ip=104.248.1.95; envelope-from=jackhill@HIDDEN;
 helo=minsky.hcoop.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Guix,

With Guix commit 4ba4cb1d49d70a00f7236f60bd92e5eccef573dd on Linux x86-64, 
I have the following problem trying to import a texlive package:

"""
$ guix import texlive qrcode
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/latex/qrcode/" "/tmp/guix-directory.6aY7Gk/doc/latex/qrcode/" failed with signal 11
guix import: error: failed to import package 'qrcode'
"""

It seems something is unwell with our subversion package?

Best,
Jack




Acknowledgement sent to Jack Hill <jackhill@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55596; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jun 2022 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.